Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server
Class ModelSet

    java.lang.Object
      org.joseki.server.ModelSet

public class ModelSet
extends java.lang.Object

A ModelSet is a collection of RDF models to be made available, together with the specific configuration for that set. Models themselves can have specific, custom functionalty.

Version:
  $Id: ModelSet.java,v 1.10 2004/04/30 14:13:13 andy_seaborne Exp $
Author:
  Andy Seaborne

Constructor Summary
`ModelSet()` Create an empty ModelSet

Method Summary
`void` | `addModel(java.lang.String sourceURI, com.hp.hpl.jena.rdf.model.Model model)` Add a Jena model to the ModelSet.
`void` | `addModel(java.lang.String sourceURI, ModelSource aModel)` Add an ModelSource to the ModelSet.
`ModelSource` | `findModel(java.lang.String sourceURI)`
`ModelSet` | `load(java.lang.String configFile)` Merge a configuration file into a model set.
`void` | `removeModel(java.lang.String sourceURI)` Remove a model from the ModelSet.
`int` | `size()`
`java.util.Iterator` | `sourceURIs()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelSet

    public ModelSet()

  Create an empty ModelSet

Method Detail

### load

    public ModelSet load(java.lang.String configFile)
                  throws java.io.FileNotFoundException,
                         com.hp.hpl.jena.rdf.model.RDFException

  Merge a configuration file into a model set.

  Throws:
    `java.io.FileNotFoundException`
    `com.hp.hpl.jena.rdf.model.RDFException`

### findModel

    public ModelSource findModel(java.lang.String sourceURI)

### addModel

    public void addModel(java.lang.String sourceURI,
                         ModelSource aModel)

  Add an ModelSource to the ModelSet.

  Parameters:
    `sourceURI` - The external URI that the model will appear under
    `aModel` - The ModelSource.
  See Also:
    `ModelSource`

### addModel

    public void addModel(java.lang.String sourceURI,
                         com.hp.hpl.jena.rdf.model.Model model)

  Add a Jena model to the ModelSet. Preferred mechanism is to added an AttachedModel.

  Parameters:
    `sourceURI` - The external URI that the model will appear under
    `model` - The RDF model.
  See Also:
    `ModelSource`

### removeModel

    public void removeModel(java.lang.String sourceURI)

  Remove a model from the ModelSet.

  Parameters:
    `sourceURI` - The external URI that the model currently appreas under.

### size

    public int size()

### sourceURIs

    public java.util.Iterator sourceURIs()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.